Subject: Re: [PATCH bpf-next v2 07/10] samples/bpf: Use consistent include paths for libbpf

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Wed, 15 Jan 2020 16:41:12 +0100

Jesper Dangaard Brouer <[email-masked]> writes:

> On Wed, 15 Jan 2020 15:12:56 +0100
> Toke Høiland-Jørgensen <[email-masked]> wrote:
>
>> From: Toke Høiland-Jørgensen <[email-masked]>
>> 
>> Fix all files in samples/bpf to include libbpf header files with the bpf/
>> prefix, to be consistent with external users of the library. Also ensure
>> that all includes of exported libbpf header files (those that are exported
>> on 'make install' of the library) use bracketed includes instead of quoted.
>> 
>> To make sure no new files are introduced that doesn't include the bpf/
>> prefix in its include, remove tools/lib/bpf from the include path entirely,
>> and use tools/lib instead.
>> 
>> Fixes: 6910d7d3867a ("selftests/bpf: Ensure bpf_helper_defs.h are taken from selftests dir")
>> Signed-off-by: Toke Høiland-Jørgensen <[email-masked]>
>
> I like this change. Maybe the reason so many samples/bpf/ files
> still included "libbpf.h" was that once-upon-a-time we had a "eBPF mini
> library" in the file samples/bpf/libbpf.h that were included.

Yes, I think something similar is the case with bpf_helpers.h - that
used to be outside libbpf, and I guess no one bothered to do a cleanup
such as this one when it was moved...

-Toke